com.amazonaws.codegen.model.intermediate

## Class IntermediateModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.IntermediateModel

    public class IntermediateModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IntermediateModel(Metadata metadata, Map<String,OperationModel> operations, Map<String,ShapeModel> shapes, CustomizationConfig customizationConfig, ServiceExamples examples)`
`IntermediateModel(Metadata metadata, Map<String,OperationModel> operations, Map<String,ShapeModel> shapes, CustomizationConfig customizationConfig, ServiceExamples examples, Map<String,WaiterDefinitionModel> waiters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClientConfigFactory()` ClientConfigurationFactory to use when producing default client configuration for the client.
`CustomizationConfig` `getCustomizationConfig()`
`ServiceExamples` `getExamples()`
`String` `getExceptionUnmarshallerImpl()`
`String` `getFileHeader()`
`boolean` `getHasWaiters()`
`Metadata` `getMetadata()`
`OperationModel` `getOperation(String operationName)`
`Map<String,OperationModel>` `getOperations()`
`String` `getSdkBaseResponseFqcn()`
`String` `getSdkModeledExceptionBaseClassName()`
`String` `getSdkModeledExceptionBaseFqcn()`
`String` `getServiceBaseExceptionFqcn()`
`ShapeModel` `getShapeByC2jName(String c2jName)`
`Map<String,ShapeModel>` `getShapes()`
`String` `getTransformPackage()`
`Map<String,WaiterDefinitionModel>` `getWaiters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntermediateModel

    public IntermediateModel(Metadata metadata,
                             Map<String,OperationModel> operations,
                             Map<String,ShapeModel> shapes,
                             CustomizationConfig customizationConfig,
                             ServiceExamples examples)

#### IntermediateModel

    public IntermediateModel(Metadata metadata,
                             Map<String,OperationModel> operations,
                             Map<String,ShapeModel> shapes,
                             CustomizationConfig customizationConfig,
                             ServiceExamples examples,
                             Map<String,WaiterDefinitionModel> waiters)

### Method Detail

#### getMetadata

    public Metadata getMetadata()

#### getOperations

    public Map<String,OperationModel> getOperations()

#### getOperation

    public OperationModel getOperation(String operationName)

#### getShapes

    public Map<String,ShapeModel> getShapes()

#### getShapeByC2jName

    public ShapeModel getShapeByC2jName(String c2jName)

#### getCustomizationConfig

    public CustomizationConfig getCustomizationConfig()

#### getExamples

    public ServiceExamples getExamples()

#### getWaiters

    public Map<String,WaiterDefinitionModel> getWaiters()

#### getClientConfigFactory

    public String getClientConfigFactory()

ClientConfigurationFactory to use when producing default client configuration for the client.

#### getExceptionUnmarshallerImpl

    public String getExceptionUnmarshallerImpl()

Returns:
  Exception unmarshaller implementation to use. Currently only needed by XML based protocols.

#### getServiceBaseExceptionFqcn

    public String getServiceBaseExceptionFqcn()

#### getSdkModeledExceptionBaseFqcn

    public String getSdkModeledExceptionBaseFqcn()

#### getSdkModeledExceptionBaseClassName

    public String getSdkModeledExceptionBaseClassName()

#### getFileHeader

    public String getFileHeader()
                         throws IOException

Throws:
  `IOException`

#### getHasWaiters

    public boolean getHasWaiters()

#### getSdkBaseResponseFqcn

    public String getSdkBaseResponseFqcn()

#### getTransformPackage

    public String getTransformPackage()

Returns:
  Name of package that the marshallers/unmarshallers are generated into.